%global gem_name sqlite3
Name:                rubygem-%{gem_name}
Version:             1.4.4
Release:             1
Summary:             Allows Ruby scripts to interface with a SQLite3 database
License:             BSD-3-Clause
URL:                 https://github.com/sparklemotion/sqlite3-ruby
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby-devel sqlite-devel rubygem(minitest) >= 5.0.0
BuildRequires:       gcc
%description
SQLite3/Ruby is a module to allow Ruby scripts to interface with a SQLite3
database.

%package doc
Summary:             Documentation for %{name}
License:             BSD and LGPLv2
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,sqlite3} %{buildroot}%{gem_extdir_mri}/
rm -rf %{buildroot}%{gem_instdir}/ext/

%check
pushd .%{gem_instdir}
ruby -I$(dirs +1)%{gem_extdir_mri}:lib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/API_CHANGES.rdoc
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/ChangeLog.cvs
%doc %{gem_instdir}/Manifest.txt
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/appveyor.yml
%doc %{gem_instdir}/faq
%{gem_instdir}/rakelib
%{gem_instdir}/setup.rb
%{gem_instdir}/test

%changelog
* Thu Jul 28 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.4.4-1
- update to 1.4.4

* Tue May 10 2022 yaoxin <yaoxin30@h-partners.com> - 1.4.2-2
- License compliance rectification

* Thu Mar 03 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1.4.2-1
- update to 1.4.2

* Thu Jan 27 2022 liyanan <liyanan32@huawei.com> - 1.3.13-2
- Remove deprecated taint followup

* Fri Jul 24 2020 zhanghua <zhanghua40@huawei.com> - 1.3.13-1
- package init
